<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        \kernel\App::$db->schema->create('module_shop', function (Blueprint $table) {
            $table->increments('id');
            $table->string("name", 255)->nullable(false);
            $table->string("slug", 255)->nullable(false);
            $table->text("description")->nullable(false);
            $table->string("version", 255)->nullable(false);
            $table->string("author", 255)->nullable(false);
            $table->string("dependence", 255)->nullable(true);
            $table->text("path_to_archive")->nullable(false);
            $table->integer("status")->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        \kernel\App::$db->schema->dropIfExists('module_shop');
    }
};
